Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005452 [JEDI VCL] 00 JVCL Components tweak always 2011-01-07 10:13 2011-09-21 14:10
Reporter u_korn View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005452: JvLoginDialog-Window is not visible in Taskbar
Description In most cases this is not a problem but if JvLoginDialog is placed on the MainForm the whole application is not accessible by the Windows-Taskbar.

To solve this problem i have made a patch. It will show the dialog in the taskbar so the user can activate the application even it is in the background and hidden by an other app.
Additional Information 192a193
> PROCEDURE CreateParams(VAR Params: TCreateParams); OVERRIDE;
583a585,590
>
> procedure TJvLoginForm.CreateParams(var Params: TCreateParams);
> begin
> inherited;
> Params.ExStyle := Params.ExStyle OR WS_EX_APPWINDOW;
> end;
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018287)
obones (administrator)
2011-01-07 11:02

What Delphi version is this occurring with ?
(0018288)
u_korn (reporter)
2011-01-07 11:54

D2009.

I have made another test with D7 and it works without my patch.
(0018289)
u_korn (reporter)
2011-01-07 11:55

D7 test was made on Windows XP, D2009 on Windows 7.
(0018290)
obones (administrator)
2011-01-07 15:24

I would be better if the D7 application could be started on Windows 7 to see if there are any difference
(0018297)
u_korn (reporter)
2011-01-14 13:14

Running the D7-App on Windows 7 is no problem. It is shown in the taskbar.
(0018587)
obones (administrator)
2011-06-07 17:36

Ok, then this is specific to later versions of Delphi
(0018665)
obones (administrator)
2011-06-08 14:05

Thanks, this is now in SVN

- Issue History
Date Modified Username Field Change
2011-01-07 10:13 u_korn New Issue
2011-01-07 11:02 obones Note Added: 0018287
2011-01-07 11:02 obones Status new => feedback
2011-01-07 11:54 u_korn Note Added: 0018288
2011-01-07 11:55 u_korn Note Added: 0018289
2011-01-07 15:24 obones Note Added: 0018290
2011-01-14 13:14 u_korn Note Added: 0018297
2011-06-07 17:36 obones Note Added: 0018587
2011-06-07 17:36 obones Status feedback => acknowledged
2011-06-08 14:05 obones Note Added: 0018665
2011-06-08 14:05 obones Status acknowledged => resolved
2011-06-08 14:05 obones Fixed in Version => Daily / SVN
2011-06-08 14:05 obones Resolution open => fixed
2011-06-08 14:05 obones Assigned To => obones
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker